Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606484 - [abrt] crash in hugin-2010.0.0-1.fc13: Process /usr/bin/hugin was killed by signal 11 (SIGSEGV)
[abrt] crash in hugin-2010.0.0-1.fc13: Process /usr/bin/hugin was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hugin (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bruno Postle
Fedora Extras Quality Assurance
abrt_hash:61aa3ff7364a574a663b2f3f3c6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 14:41 EDT by Roumano
Modified: 2011-06-27 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (254.92 KB, text/plain)
2010-06-21 14:41 EDT, Roumano
no flags Details
Open this file on hugin will make a crash (1.10 MB, image/jpeg)
2010-06-23 13:58 EDT, Roumano
no flags Details

  None (edit)
Description Roumano 2010-06-21 14:41:43 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: hugin
component: hugin
executable: /usr/bin/hugin
global_uuid: 61aa3ff7364a574a663b2f3f3c67fc886a560b4e
kernel: 2.6.33.5-124.fc13.x86_64
package: hugin-2010.0.0-1.fc13
rating: 4
reason: Process /usr/bin/hugin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Open a file
2.
3.
Comment 1 Roumano 2010-06-21 14:41:48 EDT
Created attachment 425714 [details]
File: backtrace
Comment 2 Bruno Postle 2010-06-21 17:07:42 EDT
Hi, what kind of file are you trying to open?

If it is crashing immediately when the folder browser appears, can you add photos by dragging and dropping them into the Hugin window?
Comment 3 Roumano 2010-06-22 03:03:37 EDT
Hi,
It's crashing when a dragging the photo (or import)

I can open the photos on any programme (gthumb , eog , ...)

 I can add it on this bug if you want ...

Detail of one photos with the problem (other photos have the same problem) :

exiftool 1.jpg 

ExifTool Version Number         : 8.15
File Name                       : 1.jpg
Directory                       : .
File Size                       : 1124 kB
File Modification Date/Time     : 2010:06:21 19:34:46+02:00
File Permissions                : rw-r--r--
File Type                       : JPEG
MIME Type                       : image/jpeg
Exif Byte Order                 : Little-endian (Intel, II)
Make                            : Canon
Camera Model Name               : Canon PowerShot A40
Orientation                     : Unknown ()
X Resolution                    : 
Y Resolution                    : 180
Resolution Unit                 : inches
Software                        : gthumb 2.11.3
Modify Date                     : 2010:06:16 10:08:37
Y Cb Cr Positioning             : Centered
Exposure Time                   : 1/200
F Number                        : 8.0
Exif Version                    : 0220
Date/Time Original              : 2010:06:16 10:08:37
Create Date                     : 2010:06:16 10:08:37
Components Configuration        : Y, Cb, Cr, -
Compressed Bits Per Pixel       : 5
Shutter Speed Value             : 1/202
Aperture Value                  : 8.0
Max Aperture Value              : 2.8
Flash                           : Auto, Did not fire
Focal Length                    : 5.4 mm
Macro Mode                      : Normal
Self Timer                      : Off
Quality                         : Superfine
Canon Flash Mode                : Auto
Continuous Drive                : Single
Focus Mode                      : Single
Record Mode                     : JPEG
Canon Image Size                : Large
Easy Mode                       : Full auto
Digital Zoom                    : None
Contrast                        : Normal
Saturation                      : Normal
Sharpness                       : 0
Camera ISO                      : Auto
Metering Mode                   : Evaluative
Focus Range                     : Auto
AF Point                        : Auto AF point selection
Canon Exposure Mode             : Easy
Lens Type                       : Unknown (-1)
Long Focal                      : 16.1875 mm
Short Focal                     : 5.40625 mm
Focal Units                     : 32/mm
Max Aperture                    : 2.9
Min Aperture                    : 8
Flash Bits                      : (none)
Focus Continuous                : Single
AE Setting                      : Normal AE
Display Aperture                : 8
Zoom Source Width               : 1600
Zoom Target Width               : 1600
Spot Metering Mode              : Center
Photo Effect                    : Off
Manual Flash Output             : n/a
Focal Type                      : Zoom
Focal Plane X Size              : 5.36 mm
Focal Plane Y Size              : 4.01 mm
Auto ISO                        : 100
Base ISO                        : 50
Measured EV                     : 14.53
Target Aperture                 : 8
Target Exposure Time            : 1/202
Exposure Compensation           : 0
White Balance                   : Auto
Slow Shutter                    : Off
Shot Number In Continuous Burst : 1
Optical Zoom Code               : 0
Flash Guide Number              : 0
AF Points In Focus              : All
Flash Exposure Compensation     : 0
Auto Exposure Bracketing        : Off
AEB Bracket Value               : 0
Control Mode                    : n/a
Focus Distance Upper            : inf
Focus Distance Lower            : 0
Bulb Duration                   : 0
Camera Type                     : Compact
Auto Rotate                     : None
Canon Image Type                : 
Canon Firmware Version          : 
File Number                     : 
Owner Name                      : 
Canon Model ID                  : Unknown ()
User Comment                    : 
Flashpix Version                : 0100
Color Space                     : sRGB
Exif Image Width                : 1200
Exif Image Height               : 1600
Interoperability Index          : R98 - DCF basic file (sRGB)
Interoperability Version        : 0100
Related Image Width             : 1200
Related Image Height            : 1600
Focal Plane X Resolution        : 7741.935484
Focal Plane Y Resolution        : 7766.990291
Focal Plane Resolution Unit     : inches
Sensing Method                  : One-chip color area
File Source                     : Digital Camera
Custom Rendered                 : Normal
Exposure Mode                   : Auto
Digital Zoom Ratio              : 1
Scene Capture Type              : Standard
Image Width                     : 1200
Image Height                    : 1600
Encoding Process                : Baseline DCT, Huffman coding
Bits Per Sample                 : 8
Color Components                : 3
Y Cb Cr Sub Sampling            : YCbCr4:4:0 (1 2)
Aperture                        : 8.0
Drive Mode                      : Single-frame shooting
ISO                             : 50
Image Size                      : 1200x1600
Lens                            : 5.4 - 16.2 mm
Lens ID                         : Unknown 5-16mm
Scale Factor To 35 mm Equivalent: 6.5
Shooting Mode                   : Full auto
Shutter Speed                   : 1/200
Circle Of Confusion             : 0.005 mm
Field Of View                   : 54.5 deg
Focal Length                    : 5.4 mm (35 mm equivalent: 34.9 mm)
Hyperfocal Distance             : 0.79 m
Lens                            : 5.4 - 16.2 mm (35 mm equivalent: 34.9 - 104.6 mm)
Light Value                     : 14.6
Comment 4 Bruno Postle 2010-06-22 17:59:29 EDT
Thanks, it would be useful if you can attach one of these photos and I'll try and reproduce.

Note that Hugin can open most image files, if you open a photo in the Gimp and save as PNG this will rule out a problem with your photos if it still crashes Hugin.
Comment 5 Roumano 2010-06-23 13:58:22 EDT
Created attachment 426336 [details]
Open this file on hugin will make a crash
Comment 6 Bruno Postle 2010-06-23 15:43:23 EDT
Thanks. I can reproduce on F11 and F13, but not on centos4, so it might be a library problem. I'll forward it upstream anyway.

I noticed that the file had been created by gthumb. Do you use gthumb to download from the camera using PTP? or is there some other reason why the photo was modified by gthumb?
Comment 7 Roumano 2010-06-23 19:00:00 EDT
Yes, i'm using gthumb only for download the file
Comment 8 Bug Zapper 2011-06-01 12:00:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 14:41:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.